Summary:	A server process which provides boot information to diskless clients
Name:		bootparamd
Version:	0.17
Release:	%mkrel 28
License:	BSD
Group:		System/Servers
Source:		ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/netkit-bootparamd-0.17.tar.bz2
Source1:	bootparamd.init
Patch0: bootparamd-manpage-63567.patch
Patch1: fix-build-with-glibc-2.32.patch
BuildRequires:	pkgconfig(libtirpc)
BuildRequires:	rpcgen
Requires(post):	rpm-helper
Requires(preun): rpm-helper
Requires:	rpcbind

%description
The bootparamd process provides bootparamd, a server process which
provides the information needed by diskless clients in order for them
to successfully boot.  Bootparamd looks first in /etc/bootparams for an
entry for that particular client; if a local bootparams file doesn't
exist, it looks at the appropriate Network Information Service (NIS)
map.  Some network boot loaders (notably Sun's) rely on special boot
server code on the server, in addition to the rarp and tftp servers.
This bootparamd server process is compatible with SunOS bootparam clients
and servers which need that boot server code.

You should install bootparamd if you need to provide boot information to
diskless clients on your network.

%prep
%setup -q -n netkit-bootparamd-%{version}
%autopatch -p1

%build
%serverbuild
./configure --prefix=%{_prefix}
perl -pi -e '
	s,^CC=*.$,CC=cc,;
	s,-O2,\$(RPM_OPT_FLAGS) -D_BSD_SOURCE -I/usr/include/tirpc,;
	s,LDFLAGS=,LDFLAGS=-ltirpc,;
	s,^BINDIR=.*$,BINDIR=%{_bindir},;
	s,^SBINDIR=.*$,SBINDIR=%{_sbindir},;
	s,^MANDIR=.*$,MANDIR=%{_mandir},;
	' MCONFIG
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man{1,5,8}
mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d
make INSTALLROOT=%{buildroot} install
install -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/rc.d/init.d/bootparamd

cd %{buildroot}%{_mandir}/man8
ln -s rpc.bootparamd.8.bz2 %{buildroot}%{_mandir}/man8/bootparamd.8.bz2

%post
%_post_service bootparamd

%preun
%_preun_service bootparamd

%files
%defattr(-,root,root,0755)
%{_sbindir}/rpc.bootparamd
%{_bindir}/callbootd
%{_mandir}/man8/*
%config(noreplace) %{_sysconfdir}/rc.d/init.d/bootparamd





%changelog
* Thu Nov 26 2020 tv <tv> 0.17-28.mga8
+ Revision: 1649514
- fix building with libtirpc
- BR rpcgen (fix build with glibc-2.32)

* Wed Feb 12 2020 umeabot <umeabot> 0.17-27.mga8
+ Revision: 1510763
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.17-26.mga7
+ Revision: 1295619
- Mageia 7 Mass Rebuild

* Thu Feb 11 2016 umeabot <umeabot> 0.17-25.mga6
+ Revision: 953544
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 tv <tv> 0.17-24.mga6
+ Revision: 879916
- bump release
- reenable debuginfo & fix empty debuginfo (patch 0)

* Wed Sep 09 2015 neoclust <neoclust> 0.17-23.mga6
+ Revision: 874930
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 0.17-22.mga5
+ Revision: 745511
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.17-21.mga5
+ Revision: 678204
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.17-20.mga4
+ Revision: 503156
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.17-19.mga3
+ Revision: 347144
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Apr 18 2012 colin <colin> 0.17-18.mga2
+ Revision: 231262
- Fix LSB headers

* Mon Mar 28 2011 steletch <steletch> 0.17-17.mga1
+ Revision: 78537
- imported package bootparamd

